summaryrefslogtreecommitdiffstats
path: root/scripts/get_env_info.sh
diff options
context:
space:
mode:
authorYujun Zhang <zhang.yujunz@zte.com.cn>2016-10-17 00:48:11 +0000
committerGerrit Code Review <gerrit@opnfv.org>2016-10-17 00:48:11 +0000
commit507e8c569a699ceab085e01197a32a628c3c88d9 (patch)
treed968127732826d59b2bbd21970655998449050dd /scripts/get_env_info.sh
parent2af11e64cc8b1eb321982be9618417724d529a29 (diff)
parenteddc35b497362c0c01e612d66ed19c4d5c9dd328 (diff)
Merge "Adjust directory structure"
Diffstat (limited to 'scripts/get_env_info.sh')
-rwxr-xr-xscripts/get_env_info.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/scripts/get_env_info.sh b/scripts/get_env_info.sh
new file mode 100755
index 00000000..4b362fac
--- /dev/null
+++ b/scripts/get_env_info.sh
@@ -0,0 +1,37 @@
+#! /bin/bash
+
+usage() {
+ echo "usage $0 -n <installer_type> -i <installer_ip> -k <key incase of apex>"
+}
+
+
+
+while getopts ":n:i:k:" optchar; do
+ case "${optchar}" in
+ n)
+ export INSTALLER_TYPE=${OPTARG};;
+
+ i)
+ export INSTALLER_IP=${OPTARG};;
+
+ k)
+ export APEX_KEY=${OPTARG};;
+
+ *)
+ echo "Incorrect usage"
+ usage ;;
+ esac
+done
+
+if [ $INSTALLER_TYPE == "apex" ]
+ then
+ if [ -z $APEX_KEY ]
+ then
+ echo "Please provide the the key to access the APEX Instack VM"
+ usage
+ exit 1
+ fi
+fi
+
+
+./scripts/fetch_os_creds.sh -d ./opnfv-creds.sh